-- name: [CS] Cloud Strife
-- description: Will include the rest of the cast soon!
--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md
]]

local E_MODEL_CLOUD_MODEL = smlua_model_util_get_id("cloud_geo")

local TEXT_MOD_NAME = "Cloud Strife"

local VOICETABLE_CLOUD = {
    [CHAR_SOUND_ATTACKED] = 'p_sev100_voice_e9.ogg',
	[CHAR_SOUND_EEUH] = 'p_sev100_voice_e143.ogg',
	[CHAR_SOUND_LETS_A_GO] = 'p_sev100_voice_e133.ogg',
    [CHAR_SOUND_DROWNING] = 'p_sev100_chatvoice_e13.ogg',
    [CHAR_SOUND_DYING] = 'p_sev100_voice_e22.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'p_sev100_voice_e54.ogg',
    [CHAR_SOUND_HAHA] = 'p_sev100_voice_e144.ogg',
    [CHAR_SOUND_HAHA_2] = 'p_sev100_voice_e134.ogg',
	[CHAR_SOUND_DOH] = 'p_sev100_voice_e5.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'p_sev100_chatvoice_e60.ogg',
    [CHAR_SOUND_HOOHOO] = 'p_sev100_voice_e144.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'p_sev100_chatvoice_e11.ogg',
    [CHAR_SOUND_OKEY_DOKEY] = 'p_sev100_chatvoice_e14.ogg',
    [CHAR_SOUND_ON_FIRE] = 'p_sev100_voice_e1.ogg',
    [CHAR_SOUND_OOOF] = 'p_sev100_voice_e1.ogg',
    [CHAR_SOUND_OOOF2] = 'p_sev100_voice_e12.ogg',
	[CHAR_SOUND_HRMM] = 'p_sev100_voice_e145.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'p_sev100_voice_e140.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'p_sev100_voice_e141.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'p_sev100_voice_e57.ogg',
	[CHAR_SOUND_UH] = 'p_sev100_voice_e33.ogg',
    [CHAR_SOUND_UH2] = 'p_sev100_voice_e31.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'p_sev100_voice_e109.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'p_sev100_chatvoice_e19.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'p_sev100_voice_e15.ogg',
    [CHAR_SOUND_WAH2] = 'p_sev100_voice_e149.ogg',
    [CHAR_SOUND_WHOA] = 'p_sev100_voice_e7.ogg',
    [CHAR_SOUND_YAHOO] = 'p_sev100_voice_e41.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'p_sev100_voice_e146.ogg', 'p_sev100_voice_e147.ogg', 'p_sev100_voice_e148.ogg'},
    [CHAR_SOUND_YAH_WAH_HOO] = {'p_sev100_voice_e140.ogg', 'p_sev100_voice_e141.ogg', 'p_sev100_voice_e57.ogg'},
}

local PALETTE_CLOUD = {
    [PANTS]  = "331000",
    [SHIRT]  = "604A76",
    [GLOVES] = "333333",
    [SHOES]  = "4F3C0D",
    [HAIR]   = "DFA32E",
    [SKIN]   = "F7A986",
    [CAP]    = "5B1B00",
}

if _G.charSelectExists then
    _G.charSelect.character_add("Cloud Strife", {"All right everyone, let's mosey."}, "eldritchmeat", {r = 77, g = 156, b = 137}, E_MODEL_CLOUD_MODEL, CT_MARIO, get_texture_info("cloud"))

    _G.charSelect.character_add_voice(E_MODEL_CLOUD_MODEL, VOICETABLE_CLOUD)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_CLOUD then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_CLOUD then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#a32317\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end